%global momorel 3
%global emacsver 23.2
%global e_sitedir %{_datadir}/emacs/site-lisp
%global srcname tuareg-%{version}

Summary: Emacs mode for editing ocaml
Name: elisp-tuareg
Version: 2.0.1
Release: %{momorel}m%{?dist}
License: GPLv2+
Group: Applications/Editors
Source0: http://forge.ocamlcore.org/frs/download.php/410/%{srcname}.tgz
NoSource: 0
URL: http://tuareg.forge.ocamlcore.org/
BuildArch: noarch
BuildRequires: emacs >= %{emacsver}
Requires: emacs >= %{emacsver}
Requires: elisp-ocaml-mode
Obsoletes: tuareg-emacs

%description
Tuareg is a Caml mode for GNU Emacs and XEmacs. It handles automatic
indentation of Objective Caml and Camllight codes. Key parts of the
code are hilighted using Font-Lock. Support to run an interactive Caml
toplevel and debbuger is provided.

This mode attempts to give better results than the one provided in the
standard distribution OCaml 3.x. Indentation rules are slightly
different but closer to classical functional languages.

There is no relation with the Tuareg People, except their reputation
of great CAMeL riders and breeders.

%prep
%setup -q -n %{srcname}

%build
emacs -no-site-file -q -batch -L . -f batch-byte-compile tuareg.el camldebug.el

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{e_sitedir}/tuareg
install -m 644 tuareg.el* camldebug.el* %{buildroot}%{e_sitedir}/tuareg/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING HISTORY README
%doc append-tuareg.el custom-tuareg.el sample.ml
%dir %{e_sitedir}/tuareg
%{e_sitedir}/tuareg/tuareg.el*
%{e_sitedir}/tuareg/camldebug.el*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.1-3m)
- full rebuild for mo7 release

* Sun Jun 13 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.0.1-2m)
- rebuild against emacs-23.2

* Fri Jun 11 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.0.1-1m)
- update to 2.0.1

* Tue Mar 16 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.45.6-7m)
- merge tuareg-emacs to elisp-tuareg

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.45.6-6m)
- rebuild against gcc-4.4 and glibc-2.11

* Thu Jul 30 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.45.6-5m)
- rebuild against emacs 23.1

* Tue Jul 28 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.45.6-4m)
- rebuild against emacs 23.0.96

* Sun Jun 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.45.6-3m)
- rebuild against emacs-23.0.95

* Mon May 25 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.45.6-2m)
- rebuild against emacs-23.0.94

* Sat May 16 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.45.6-1m)
- initial packaging
